FilterSet.Filter (Apache Ant API)

Package org.apache.tools.ant.types

## Class FilterSet.Filter

- java.lang.Object
- - org.apache.tools.ant.types.FilterSet.Filter

- Enclosing class:
    FilterSet

      public static class FilterSet.Filter
      extends java.lang.Object

  Individual filter component of filterset.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Filter()` | No-argument constructor.
    `Filter​(java.lang.String token, java.lang.String value)` | Constructor for the Filter object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getToken()` | Gets the Token attribute of the Filter object.
    `java.lang.String` | `getValue()` | Gets the Value attribute of the Filter object.
    `void` | `setToken​(java.lang.String token)` | Sets the Token attribute of the Filter object.
    `void` | `setValue​(java.lang.String value)` | Sets the Value attribute of the Filter object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Filter

          public Filter​(java.lang.String token,
                        java.lang.String value)

      Constructor for the Filter object.
      Parameters:
        `token` - The token which will be replaced when filtering.
        `value` - The value which will replace the token when filtering.

    - #### Filter

          public Filter()

      No-argument constructor.

  - ### Method Detail

    - #### setToken

          public void setToken​(java.lang.String token)

      Sets the Token attribute of the Filter object.
      Parameters:
        `token` - The new Token value.

    - #### setValue

          public void setValue​(java.lang.String value)

      Sets the Value attribute of the Filter object.
      Parameters:
        `value` - The new Value value.

    - #### getToken

          public java.lang.String getToken()

      Gets the Token attribute of the Filter object.
      Returns:
        The Token value.

    - #### getValue

          public java.lang.String getValue()

      Gets the Value attribute of the Filter object.
      Returns:
        The Value value.